freeslot("SKINCOLOR_VDRIFT1", "SKINCOLOR_VDRIFT2", "SKINCOLOR_VDRIFT3", "SKINCOLOR_VDRIFT4")
skincolors[SKINCOLOR_VDRIFT1] = {
    name = "VDRIFT1",
    ramp = {0,1,0,0,0,2,3,0,4,0,5,0,0,0,0,0},
    invcolor = SKINCOLOR_RED,
    invshade = 0, 
    chatcolor = V_MAGENTAMAP,
    accessible = false
}
skincolors[SKINCOLOR_VDRIFT2] = {
    name = "VDRIFT2",
    ramp = {0,1,0,0,0,2,3,0,4,0,5,0,0,0,0,0},
    invcolor = SKINCOLOR_RED,
    invshade = 0, 
    chatcolor = V_MAGENTAMAP,
    accessible = false
}
skincolors[SKINCOLOR_VDRIFT3] = {
    name = "VDRIFT3",
    ramp = {0,1,0,0,0,2,3,0,4,0,5,0,0,0,0,0},
    invcolor = SKINCOLOR_RED,
    invshade = 0, 
    chatcolor = V_MAGENTAMAP,
    accessible = false
}
skincolors[SKINCOLOR_VDRIFT4] = {
    name = "VDRIFT4",
    ramp = {0,1,0,0,0,2,3,0,4,0,5,0,0,0,0,0},
    invcolor = SKINCOLOR_RED,
    invshade = 0, 
    chatcolor = V_MAGENTAMAP,
    accessible = false
}
//yellow & pink
local vdrift1 = {}
vdrift1[1] = {0,73,0,0,0,67,208,0,201,0,203,0,0,0,0,0}
vdrift1[2] = {0,72,0,0,0,65,201,0,203,0,204,0,0,0,0,0}
vdrift1[3] = {0,81,0,0,0,72,200,0,202,0,185,0,0,0,0,0}
vdrift1[4] = {0,80,0,0,0,82,202,0,204,0,186,0,0,0,0,0}
--loop
vdrift1[6] = {0,81,0,0,0,72,200,0,202,0,185,0,0,0,0,0}
vdrift1[5] = {0,72,0,0,0,65,201,0,203,0,204,0,0,0,0,0}

//orange & blue
local vdrift2 = {}
vdrift2[1] = {0,42,0,0,0,56,129,0,133,0,148,0,0,0,0,0}
vdrift2[2] = {0,53,0,0,0,40,133,0,148,0,150,0,0,0,0,0}
vdrift2[3] = {0,50,0,0,0,56,148,0,150,0,155,0,0,0,0,0}
vdrift2[4] = {0,48,0,0,0,50,150,0,155,0,158,0,0,0,0,0}
--loop
vdrift2[6] = {0,50,0,0,0,56,148,0,150,0,155,0,0,0,0,0}
vdrift2[5] = {0,53,0,0,0,40,133,0,148,0,150,0,0,0,0,0}

//blue & green
local vdrift3 = {}
vdrift3[1] = {0,150,0,0,0,155,88,0,188,0,189,0,0,0,0,0}
vdrift3[2] = {0,148,0,0,0,150,188,0,189,0,100,0,0,0,0,0}
vdrift3[3] = {0,133,0,0,0,148,189,0,100,0,115,0,0,0,0,0}
vdrift3[4] = {0,129,0,0,0,133,100,0,115,0,116,0,0,0,0,0}
--loop
vdrift3[6] = {0,133,0,0,0,148,189,0,100,0,115,0,0,0,0,0}
vdrift3[5] = {0,148,0,0,0,150,188,0,189,0,100,0,0,0,0,0}

//rainbow (no loop)
local vdrift4 = {}
vdrift4[1] = {0,145,0,0,0,148,209,0,32,0,34,0,0,0,0,0}

vdrift4[2] = {0,160,0,0,0,162,218,0,52,0,55,0,0,0,0,0}

vdrift4[3] = {0,200,0,0,0,179,81,0,72,0,74,0,0,0,0,0}

vdrift4[4] = {0,209,0,0,0,34,88,0,96,0,113,0,0,0,0,0}

vdrift4[5] = {0,51,0,0,0,54,145,0,147,0,148,0,0,0,0,0}

vdrift4[6] = {0,72,0,0,0,74,160,0,161,0,162,0,0,0,0,0}

vdrift4[7] = {0,96,0,0,0,113,200,0,178,0,179,0,0,0,0,0}
--animcolor thinker
addHook("ThinkFrame", do
	if leveltime and leveltime > 0
		skincolors[SKINCOLOR_VDRIFT1].ramp = vdrift1[(leveltime/3 % 5)+1]
		skincolors[SKINCOLOR_VDRIFT2].ramp = vdrift2[(leveltime/3 % 5)+1]
		skincolors[SKINCOLOR_VDRIFT3].ramp = vdrift3[(leveltime/3 % 5)+1]
		skincolors[SKINCOLOR_VDRIFT4].ramp = vdrift4[(leveltime/2 % 6)+1]
	end
end)
addHook("ThinkFrame", function()
	for p in players.iterate do
		if p and p.mo and p.mo.valid and p.mo.skin == "vanta" then
			p.mo.frame = $|FF_FULLBRIGHT
			if p.driftcharge >= K_GetKartDriftSparkValue(p)
				p.mo.color = SKINCOLOR_VDRIFT1
			end
			if p.driftcharge >= K_GetKartDriftSparkValue(p)*2
				p.mo.color = SKINCOLOR_VDRIFT2
			end
			if p.driftcharge >= K_GetKartDriftSparkValue(p)*3
				p.mo.color = SKINCOLOR_VDRIFT3
			end
			if p.driftcharge >= K_GetKartDriftSparkValue(p)*4 or p.driftcharge >= K_GetKartDriftSparkValue(p)*3 and S_SoundPlaying(p.mo, sfx_s3kc4l) 
				p.mo.color = SKINCOLOR_VDRIFT4
			end
		end
	end
end)
