freeslot("MT_FAVCHARACTERS",
"S_SIDEOFFRIES",
"SPR_FAVB")

states[S_SIDEOFFRIES] = {SPR_FAVB, A, -1, nil, 0,0, S_SIDEOFFRIES}

mobjinfo[MT_FAVCHARACTERS] = {
	--$Name FavCharacters
	--$Sprite FAVBB1
	--$Category FavFolder
	--$ParameterText Character 
	doomednum = 6969,
	spawnstate = S_SIDEOFFRIES,
	radius = 25*FRACUNIT,
	height = 57*FRACUNIT,
	mass = 100,
	flags = MF_SCENERY|MF_SOLID
}

// For UDMF use
addHook("MapThingSpawn", function(mo, thing)
	if not mo.valid return end
	mo.shadowscale = FRACUNIT
	
	if thing.args[0] == 0 //Red Door
		if mo.frame != A then mo.frame = A end 
		if players[1] and players[1].valid then mo.state = S_NULL end
		
	elseif thing.args[0] == 1 //Frank
		if mo.frame != B then mo.frame = B end 
		mo.color = SKINCOLOR_SUNFLOWER
		if players[1] and players[1].valid then mo.state = S_NULL end
		
	elseif thing.args[0] == 2 //DR Tree
		mo.flags = MF_SCENERY|MF_NOBLOCKMAP
		mo.shadowscale = 0
		if P_RandomRange(0,1) == 0
			mo.frame = C
		else
			mo.frame = D
		end 
		
		local colores = P_RandomRange(0,4)
		if colores == 0
			mo.color = SKINCOLOR_PURPLE
		elseif colores == 1
			mo.color = SKINCOLOR_THISTLE
		elseif colores == 2
			mo.color = SKINCOLOR_BLUEBERRY
		elseif colores == 3
			mo.color = SKINCOLOR_LAVENDER
		else
			mo.color = SKINCOLOR_DUSK
		end	  
	end
end, MT_FAVCHARACTERS)